Supprimer l’abonnement
curl --request DELETE \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Activité du compte
Supprimer l’abonnement
Supprime un abonnement Account Activity pour le webhook et l’id utilisateur spécifiés.
DELETE
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
{user_id}
/
all
Supprimer l’abonnement
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
L’id du webhook utilisé pour valider l’abonnement. L’identifiant unique de cette configuration de webhook.
Pattern:
^[0-9]{1,19}$Exemple:
"1146654567674912769"
Id de l’utilisateur à désabonner. Identifiant unique de cet utilisateur. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les problèmes avec les langages et outils qui ne prennent pas en charge les entiers de grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"2244994945"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes